JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "linux" });
// Set box resolution
const newResolution = await box.resolution.set({ width: 1024, height: 768 });
console.log("New resolution:", newResolution);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Linux box
box = gbox_sdk.create(type="linux")
# Set box resolution
new_resolution = box.resolution.set(width=1024, height=768)
print(f"New resolution: {new_resolution}")
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/resolution \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"width": 1920,
"height": 1080
}
'{
"width": 1920,
"height": 1080
}Box
Set screen resolution
Set the screen resolution
POST
/
boxes
/
{boxId}
/
resolution
JavaScript
import GboxSDK from "gbox-sdk";
const gboxSDK = new GboxSDK({
apiKey: process.env["GBOX_API_KEY"] // This is the default and can be omitted
});
async function main() {
const box = await gboxSDK.create({ type: "linux" });
// Set box resolution
const newResolution = await box.resolution.set({ width: 1024, height: 768 });
console.log("New resolution:", newResolution);
}
main();import os
from gbox_sdk import GboxSDK
def main():
gbox_sdk = GboxSDK(api_key=os.environ["GBOX_API_KEY"]) # This is the default and can be omitted
# Create Linux box
box = gbox_sdk.create(type="linux")
# Set box resolution
new_resolution = box.resolution.set(width=1024, height=768)
print(f"New resolution: {new_resolution}")
if __name__ == "__main__":
main()curl --request POST \
--url https://gbox.ai/api/v1/boxes/{boxId}/resolution \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"width": 1920,
"height": 1080
}
'{
"width": 1920,
"height": 1080
}Authorizations
Enter your API Key in the format: Bearer . Get it from https://gbox.ai
Path Parameters
Box ID
Example:
"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"
Body
application/json
Was this page helpful?